Bug 173825 - irqbalance needs to support >32 CPUs
Summary: irqbalance needs to support >32 CPUs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-11-21 17:57 UTC by Jim Paradis
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0005
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:07:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0005 qe-ready SHIPPED_LIVE kernel-utils bug fix update 2006-03-07 05:00:00 UTC

Description Jim Paradis 2005-11-21 17:57:24 UTC
As it is currently written, the irqbalance utility can only support up to 32
CPUs.  There are two issues involving /proc entries that need to be fixed to
address this. 

(1) /proc/irq/<nnn>/smp_affinity format.  This entry contains a hex-formatted
bitmap of the CPUs on which a given interrupt may be delivered.  The current
irqbalance only supports a single 32-bit word format for this file, which limits
us to 32 CPUs.  With more than 32 CPUs, this file consists of several longwords
seprated by commas.  The code that parses and writes this file must be enhanced
to support this extended format.

(2) /proc/interrupts format.  While the overall format of /proc/interrupts is
unchanged, a large number of CPUs could be an issue.  This file has one row per
interrupt and one column per CPU.  A large number of CPUs could make for very
long lines, which irqbalance may not be able to handle (it hard-codes the max
line length at 1024).  Again, we need to make sure this can support as many CPUs
as we're going to support.

Comment 1 Tim Burke 2005-11-21 18:06:56 UTC
putting on U3 canfix list.
We're already changing this package for other items, it microcode-ctl. So it
doesn't add another package which wasn't previously planned.
This is needed for the support of > 64 cpus.


Comment 2 Jay Turner 2006-02-03 17:03:44 UTC
What testing was done to verify this is working as expected?  Do we have any
testing results from partners?

Comment 4 Red Hat Bugzilla 2006-03-07 18:07:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0005.html



Note You need to log in before you can comment on or make changes to this bug.